# Venture Valheim Modpack

Created by [OrianaVentureMod@gmail.com](https://github.com/OrianaVenture/VentureValheim).

## Introduction

My recommended mods with configurations. Download with a mod manager to play or use as inspiration for your own modpack.Tested for the 0.217.46 game update.

## Installation

Install with one of the thunderstore mod managers. If using this modpack on a server be sure to place the configurations in the Bepinex\Config folder. All mods are set up to sync configurations if supported by the mod. Any mod in which I did not change the default settings will not have a configuration file included in this pack. These are just my recommend settings, but many of the hot keys listed can be fully configured.

**Warning**: This package is marked as a modpack but I will not be closely monitoring it for mod updates. What does this mean for you? When thunderstore packages are marked as a modpack they download the specified mod versions from the manifest. If you directly install this pack be sure to update any mods that have new versions. As this pack is meant to be used more as inspiration I highly recommend taking the configurations you want and creating your own modpack rather than directly referencing or downloading this one. This pack may break or become unstable around game updates.

## Venture Mods

These are my mods which I made to tweak things about the game I didn't like.

### Asocial Cartography

Client side mod that can be customized per player. Makes using the cartography table in multiplayer much more tolerable. By default prevents adding and receiving player placed map pins with the cartography table.

### Deluxe Particles

Never lose your spear again in tall grass! Particles for dropped items are larger.

### Meadingful Icons

Adds icons to the mead bases so you can tell them apart more easily, as well as increases the stack size to 10 by default.

### Mining Caves

Best when added before generating a new world. Adds two new caves to the game with ore for mining. Optionally can disable terrain changes.

### Location Reset

Resets all locations in the game, plus leviathans, so the world has resources to support a larger number of players. Bees for everyone! Pairs nicely with Mining Caves.

### Need For Speed

Run faster on paths!

### No Grass

Adds back the option to choose no grass in the vanilla settings.

### No Seasonal Restrictions

Build all seasonal items in the game! Maypoles and flower crowns for all!

### Pathside Assistance

Make prettier paths!

### Reely Good Rod

Fishing is twice as easy. I really hate fishing.

### Sea Of Noodles

More serpents at all times of the day, make the seas more dangerous and bring home more of that delicious meat.

### Floating Items

A configurable version of the floating items mod. If you want all items to float use the original mod in it's place.

### Logout Tweaks

Keep certain status effect buffs after logging out including your Rested bonus.

### Multiplayer Tweaks

Various tweaks to customize your multiplayer experience. You will likely want to customize this mod to your own needs. This pack disables map pings, disables the arrival shout, enforces player map position display on, hides platform player tags, and makes PvP fighting more forgiving.

### Terrain Reset

Gives you 3 new ways to reset the terrain:
* Reset via the current tool radius of the Hoe or Cultivator by holding "Alt" and clicking. Warning: this still consumes items so be careful not to use the reset with the raise ground or stone road pieces.
* Reset with the console command "resetterrain 10" or whatever radius you desire.
* Reset via a one-click hotkey to reset the specified radius around your character (disabled by default so you must configure that if you wish to use it).

### Warm Torches

Holding a torch will prevent you from becoming cold. May not be realistic but hey, it's a video game.

### World Advancement Progression

This mod gives you more control over the progression for your players. You will likely want to customize this mod to your own needs. This pack enables private player keys so each player can be on different progression levels on a server. Content locking is disabled, but highly recommended for hardcore players or servers who wish everyone to follow boss progression.

The Skill manager is enabled so on death skill drain should only be a maximum of 2 skill levels rather than a percentage. Dynamic skill ceiling and floor values is enabled; As you kill bosses the minimum your skills can drop will increase, as well as the maximum your skills can gain. This allows for a more forgiving game play experience.

## Tweaks

These are tweak mods by other authors.

### Multiplayer boat damage

Simple tweak that prevents boat damage from waves. Helps greatly with lag issues breaking boats when playing multiplayer.

### Plant Everything

Expands your planting options. Configured such that trees will always drop 1-2 seeds. Use the **Middle Mouse** button to remove pickables like mushrooms.

### Azu Area Repair

Repairs additional pieces in an area. Makes it much easier to manage base repair while still consuming stamina. Hard to reach pieces are less of a pain to fix!

### Azu Clock

Adds a clock to the UI. This pack contains a configuration to display the time and day, but has many options to customize it if you choose.

### Azu Extended Player Inventory

The all in one for your inventory expansion needs. Enabled quickslots and 1 extra row of inventory. I do not recommend using a backpack mod with the extra rows. Chest can be moved with **Ctrl + Click & drag**, but is already pre-configured and moved out of the way for you due to the extra row added.

Hotkeys are changed to **Z, X, C**, if you have not reconfigured your vanilla keybind settings away from these keys you will need to fix them. The quickslots location has been moved next to the food and health bar and will appear once you place an item in one of those slots. If it is missing you might need to reset those configs, I was not able to test many different monitor sizes.

### Build Camera

Activate a free fly camera with **B** when you have your hammer equipped. Must still be in rage of the appropriate build table. Makes creating docks much easier when vanilla snap options are not enough.

### Fast Link

This adds a quick log in function to the main menu. Configure the yaml file included with the mod for your server. I recommend NOT putting this file in your modpack if you are uploading it publicly (even if you enforce a whitelist) since it will contain the raw IP address and password of your server. Share this configuration privately with your server members and provide instructions on how to add it to their mod files.

### Quick Tap Dodge

This is hit or miss with people. Dodge in the specified direction when double tapping a **W A S D** key. Tap speed is set lower (0.1s), taps must be in very quick succession to activate. You may need to tinker this config per individual.

### Wield Equipment While Swimming

The title, I can swim with stuff in my hand so why can't my viking?

### Dramamist

This mod is very useful if you get motion sickness in the mistlands. Makes the mist more still. If the wisp movement also bothers you get the HeyListen mod to customize it to stay still (has more cool config options too).

### Dumpster Fire

Trash items in your inventory by picking them up and hitting the **Delete** key or drag and drop things onto the new trash can between the health and weight indicators.

### License Plate

Name your boats and carts! Adds a tooltip to the boat rudder with the shortcut to edit the name. Hides the name when you are steering the boat.

### Wardrobe

Swap your current outfit with an armor stand with the hotkey **LeftAlt + E**.

### Item Stand All Items

Place all items on item stands, a builder's dream! Configured for the mods included in this pack.

### Smoke Collision

Lets smoke pass through some build pieces that you would expect would allow it. Configured for the mods included in this pack.

### Contents Within

Displays chest contents when hovering over it, makes it much faster to find what you're looking for without opening any chests. The toggle on/off button has been disabled since I always end up clicking it on accident, turn it back on if you wish.

### Door Pull

Lets you pull open doors with **LeftCtrl + E**.

### Fence Snap

Adds nice snap points for fences.

### Farm Grid

This mod allows you to plant crops one by one in an organized grid. I prefer this version of the idea because the grid does not have to snap to world angles and allows much freedom. Plant Easily is another mod that can do something similar and allows for mass planting multiple crops at a time. If you want to make farming easier then Plant Easily may be better for you than Farm Grid.

### Rock The Boat

Increases the distance you can zoom out on a boat making it easier to drive. When swimming next to a boat you cannot drown: no more panicking when you're on the wrong side from the ladder. You can apply a speed boost using stamina while steering using **Shift**. Boats can be destroyed with the hammer.

### Harpoon Extended

Gives more uses to the harpoon! Using **E** and **Ctrl + E** you can tighten or loosen the line. Pull monsters toward you, fish your stuff out of the ocean, or pull yourself up and over that rock! Can you be the next spider-viking?

### Auto Repair

A simple but timeless mod that repairs all your items when you access a work station so you don't have to spam click the repair button.

### M3TO Gizmo Reloaded

My preferred version of gizmo. Allows you to rotate build pieces giving you much more freedom over your builds. To rotate on the new axes hold **LeftControl** or **LeftAlt**. Reset the rotation with **H**. An alternative of this mod is Gizmo by ComfyMods which has some extra configuration options.

## Content

These are mods that add new content to the game. Removing them after using will cause items to disappear, so be cautious. 

### Tar Collector

Adds a build piece used to collect tar from pits. Pairs nicely when turning off terrain changes with Mining Caves, or you want to encourage players not to dig the terrain around tar pits. The piece can be placed a safe distance away from the pit so it does not risk getting stuck in the tar. Recipe changed to 5 SurtlingCore, 5 Iron, 5 BlackMetal, 10 FineWood; can be found under the Crafting tab in the build hammer.

### SearsCatalog

Required mod when using mods that add more build pieces than the build menu can handle. Adds a scroll bar and lets you resize the window.

### Missing Pieces

Adds in a small batch of vanilla-like build pieces to make your builds have more flexibility.

### Judes Equipment

Small batch of armor additions and adds two simple backpacks that work like the megingjord increasing weight limit of the inventory only.

### Odins Food Barrels

Additional chest-like storage options for food and one wooden chest level storage bag. The bags are great for making a cozy kitchen!

### More Gates

Adds a new tab to your build hammer with new doors, windows, drawbridges, and some other miscellaneous pieces!

### Clutter

A decorator's dream. Adds in all sorts of items to make your longhouse come to life including furniture, kitchen items, statues, and magic sigils! Includes it's own build hammer called the "clutter bucket" to keep the clutter from your main build hammer (pun intended).

## Nexus mods

Some authors do not post to thunderstore, but their mods are still great! If you see the following reuploaded to thunderstore be wary that they may have been shared without the author's permission and may not be up to date. Nexus rewards authors for downloads so make sure to download the mod from the original source.

### [Smarter Containers](https://www.nexusmods.com/valheim/mods/332)

My favorite version of a storage sorting mod. Gives you the ability to automatically sort items as you place them in a chest. This mod works well if you have one chest in the center of all your storage to **LeftCtrl + Click** items into. They will be wooshed away to a chest with the like item in it if one exists. Allows fine control over what gets stored since you must do each item one at a time.

Warning: This mod may have some bugs that can cause item deletion, use with caution. I have not been able to verify if this issue still exists in the latest version.

## Other Recommendations

Not included in this pack but are compatible include:

* No Damage Flash 0.1.0 by VentureValheim; Removes the red flash that happens when you take damage.
* No Puke 0.2.1 by VentureValheim; Disables the puking sounds and animations.
* Incognito Mode 0.3.1 by VentureValheim; Roleplaying mod that changes the Player display name if their face is hidden by certain helmet, shoulder, or utility items.

## Contributing

All feedback, ideas, and requests are welcome! You can message me at my discord [Venture Gaming](https://discord.gg/tAd5hapt88).